/*@import url('https://fonts.googleapis.com/css2?family=Assistant:wght@400;500;600;700&display=swap');*/

html, body {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    left: 0;
    top: 0;
    font-family: 'Verdana', sans-serif;
    font-size: 100%;
}

body {
    background: white;
    min-width: 320px;
    color: black;
}

h1 {
    font-size: 1.5rem;
}

h2 {
    font-size: 1.25rem;
}

h3 {
    font-size: 1.1rem;
}

h4 {
    font-size: 1rem;
}

h1 a, h2 a, h3 a, h4 a {
    text-decoration: none;
}

a {
    text-underline-offset: 3px;
}

ul {
    padding: 0;
    padding-left: 1em;
}

.clear {
    clear: both;
}

.flex {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.flexbox {
    flex: 0 1 auto;
}

.iblock {
    display: inline-block;
}

.align-left: {
    text-align: left;
}

.align-right: {
    text-align: right;
}

.left {
    text-align: left;
}

.right {
    text-align: right;
}

.center {
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

.top, .vtop {
    vertical-align: top;
}

.middle, .vmiddle {
    vertical-align: middle;
}

.bottom, .vbottom {
    vertical-align: bottom;
}

.justify {
    text-align: justify;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

.bold {
    font-weight: bold;
}

.italic {
    font-style: italic;
}

.noborder, .noborder td, .noborder th {
    border: none;
}

.scroll-x {
    overflow-x: auto;
    white-space: nowrap;
}

.scroll-y {
    overflow-y: auto;
}

.hidden {
    display: none;
}

.invisible {
    visibility: hidden;
}

.fit {
    width: 1%;
    height: auto;
    white-space: nowrap;
}

.nobreak {
    white-space: nowrap;
}

.page-break {
    page-break-after: always;
}

/* END COMMON STYLES */
.container {
    display: block;
    max-width: 1180px;
    margin: 0 auto;
    padding: 20px;
}

header {
    border-bottom: solid 2px darkblue;
}

header .container {
    background: none;
    position: relative;
    padding: 10px 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#logo {
    display: block;
    padding: 0;
    margin: 0;
    width: 50px;
    height: 50px;
}

#logo a {
    display: block;
    width: 100%;
    height: 100%;
}

#logo img {
    width: 100%;
    height: 100%;
}

#title a {
    text-decoration: none;
    color: darkblue;
    font-weight: bold;
    font-size: 36px;
    line-height: 36px;
    user-select: none;
    font-family: 'Verdana';
}

#title .slogan {
    color: darkblue;
    font-size: 16px;
    margin: 0;
}

#nav-toggle {
    position: absolute;
    top: 18px;
    right: 20px;
    font-size: 36px;
    line-height: 36px;
    color: white;
    cursor: pointer;
}

#nav-toggle>span {
    user-select: none;
}

#nav-header {
    display: flex;
    align-items: center;
    gap: 2em;
}

#nav-header a {
    color: darkblue;
}

#main {
    overflow-x: auto;
    min-height: 400px;
}

.form-common {
    background: white;
    color: black;
    padding: 20px;
    font-size: 1.1rem;
}

.form-common .flex {
    column-gap: 1em;
}

.form-common .flexbox {
    flex: 1 1 auto;
}

.form-common .input {
    font-size: 1.1rem;
    line-height: 1.1rem;
    height: auto;
    width: auto;
    padding: 5px 10px;
    border: solid 1px #777;
    border-radius: 5px;
    background: white;
    box-sizing: border-box;
}

.form-common .invalid {
    color: red;
    border-color: red;
}

.form-common .mark-required {
    color: red;
}

.form-common .submit {
    font-size: 1.1rem;
    line-height: 1.1rem;
    padding: 0.5em 2em;
    background: darkblue;
    color: white;
    border: solid 1px black;
    border-radius: 3px;
    cursor: pointer;
}

.scroll-arrows {
    display: none;
}

#form-login .input {
    width: auto;
}

.intro-product {
    display: flex;
    border: solid 1px #777;
    padding: 1rem;
    margin-bottom: 40px;
}

.intro-product-image {
    flex: 1 0 auto;
    width: 240px;
}

.intro-product-image img {
    width: 100%;
    height: 100%;
}

.intro-product-info {
    position: relative;
    margin-left: 2rem;
}

.intro-product-info .name {
    font-weight: 500;
    font-size: 1.4rem;
    margin-bottom: 1rem;
}

.intro-product-info .name a {
    color: darkblue;
}

.intro-product-info .name a:visited {
    color: darkblue;
}

.intro-product-info .buy {
    position: absolute;
    right: 0px;
    bottom: 0px;
    background: darkblue;
    color: white;
    padding: 6px 18px;
    font-size: 1.2rem;
    text-decoration: none;
    color: white;
    font-weight: bold;
}

.intro-product-info .price {
    position: absolute;
    left: 0px;
    bottom: 0px;
    font-size: 1.2rem;
    font-weight: bold;
    padding: 6px 18px;
}

#product-heading {
    margin: 2em 0;
}

#product-heading h1 {
    margin: 0;
}

#product-form {
    /* TODO */
}

#product-form table {
    margin-bottom: 30px;
}

.product-form-pzn {
    width: 32px;
    text-align: left;
}

.product-form-price {
    width: 104px;
}

.product-form-order {
    width: 201px;
    text-align: right;
}

.product-form-total {
    width: 95px;
}

.product-price-pzn {
    width: 120px;
    white-space: nowrap;
    text-align: left;
}

.product-price-text {
    width: 110px;
}

.product-form-inputs {
    width: 201px;
    text-align: right;
}

.product-input-totals {
    width: 116px;
}

.product-item {
    margin-bottom: 2rem;
}

.product-imgs {
    margin-bottom: 1em;
}

.product-img img {
    max-width: 480px;
    max-height: 480px;
}

.table-default {
    border-spacing: 0;
    border-collapse: collapse;
}

.table-default th, .table-default td {
    border: solid 1px #aaa;
    padding: 4px 8px;
}

.product-link {
    font-weight: bold;
    color: darkblue;
}

.product-label .price-min-amount {
    display: inline-block;
    width: 27px;
    text-align: right;
}

.form {
    margin-bottom: 2rem;
}

.form table {
    border-spacing: 0;
    border-collapse: collapse;
    width: 100%;
}

.form table th, .form table td {
    border: solid 1px #aaa;
    padding: 4px 8px;
}

.form .pgroup-description {
    font-style: italic;
    font-size: 0.9rem;
    margin-top: 0.5rem;
    margin-bottom: 2rem;
}

.form .item-option {
    margin-right: 1em;
    font-size: 90%;
    color: darkblue;
}

.amount-input {
    margin: 3px auto;
    user-select: none;
}

.amount-input span {
    display: inline-block;
    margin: 0;
    padding: 0;
    height: 24px;
    line-height: 24px;
    text-align: center;
    border: solid 1px black;
}

.amount-input .amount {
    width: 48px;
}

.amount-input .step {
    width: 24px;
    background: #339;
    color: white;
    font-weight: bold;
    cursor: pointer;
}

.required:after {
    content: ' *';
    color: red;
}

.order-summary {
    margin-bottom: 2rem;
}

#order-form .form th, #order-form .form td {
    border: none;
}

#order-form .input {
    width: 250px;
    padding: 0.25rem 0.5rem;
    font-size: 1em;
}

.confirm-section {
    margin: 20px 0;
    display: flex;
    justify-content: left;
    align-items: center;
}

#loading-gif {
    margin-left: 10px;
}

#place-order {
    font-size: 1.1rem;
    padding: 10px 20px;
    background-color: darkblue;
    color: white;
    cursor: pointer;
    border-radius: 3px;
    border: solid 1px black;
}

#place-order[disabled] {
    background-color: #005;
    color: grey;
}

#reset-form {
    padding: 5px 10px;
    border: solid 1px black;
    border-radius: 3px;
}

#cookies-notice {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 10px;
    text-align: center;
    background-color: black;
    color: white;
}

#cookies-ok {
    padding: 4px 24px;
}

@media only screen and (max-width:999px) {
    .scroll-arrows {
        display: block;
    }

    #globals {
        display: none;
    }
}

@media only screen and (max-width:720px) {
    #logo {
        width: 40px;
        height: 40px;
    }

    #logo a {
        width: 40px;
        height: 40px;
    }

    #title a {
        font-size: 20px;
        line-height: 20px;
    }

    #nav-toggle {
        top: 14px;
        font-size: 32px;
        line-height: 32px;
    }

    #nav-header {
        top: 60px;
    }

}

@media only screen and (max-width:720px) {
    .product-img {
        max-width: 50%;
    }

    .product-img img {
        width: 100%;
        height: auto;
    }
}

@media only screen and (min-width:360px) {
    #reset-form {
        float: left;
    }
}

@media only screen and (max-width:360px) {
    #title a {
        font-size: 20px;
        line-height: 20px;
    }

    #nav-toggle {
        top: 18px;
        font-size: 24px;
        line-height: 24px;
    }

    #nav-header {
        top: 60px;
        width: 100%;
    }

}

@media only print {
    footer, .noprint, #nav-toggle {
        display: none;
    }

    .amount-input .step {
        display: none;
    }
}

#error-404 img.fit {
    margin: 40px auto;
}

#globals, .debug {
    padding: 1em;
    background: white;
    color: black;
}